# CorridorGraphics

#### new Cesium.CorridorGraphics(options)
engine/Source/DataSources/CorridorGraphics.js 46

Describes a corridor, which is a shape defined by a centerline and width that conforms to the curvature of the globe. It can be placed on the surface or at altitude and can optionally be extruded into a volume.

Name | Type | Description
--- | --- | ---
`options` | CorridorGraphics.ConstructorOptions | optional Object describing initialization options

##### Demo:

- Cesium Sandcastle Corridor Demo

##### See:

- Entity

### Members

#### classificationType : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 239

Gets or sets the `ClassificationType` Property specifying whether this corridor will classify terrain, 3D Tiles, or both when on the ground.

Default Value: `ClassificationType.BOTH`

#### cornerType : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 162

Gets or sets the `CornerType` Property specifying how corners are styled.

Default Value: `CornerType.ROUNDED`

#### readonly definitionChanged : Event
engine/Source/DataSources/CorridorGraphics.js 95

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 229

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this corridor will be displayed.

#### extrudedHeight : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 146

Gets or sets the numeric Property specifying the altitude of the corridor extrusion. Setting this property creates a corridor shaped volume starting at height and ending at this altitude.

#### extrudedHeightReference : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 154

Gets or sets the Property specifying the extruded `HeightReference`.

Default Value: `HeightReference.NONE`

#### fill : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 178

Gets or sets the boolean Property specifying whether the corridor is filled with the provided material.

Default Value: `true`

#### granularity : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 170

Gets or sets the numeric Property specifying the sampling distance between each latitude and longitude point.

Default Value: `{CesiumMath.RADIANS_PER_DEGREE}`

#### height : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 129

Gets or sets the numeric Property specifying the altitude of the corridor.

Default Value: `0.0`

#### heightReference : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 137

Gets or sets the Property specifying the `HeightReference`.

Default Value: `HeightReference.NONE`

#### material : MaterialProperty|undefined
engine/Source/DataSources/CorridorGraphics.js 186

Gets or sets the Property specifying the material used to fill the corridor.

Default Value: `Color.WHITE`

#### outline : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 194

Gets or sets the Property specifying whether the corridor is outlined.

Default Value: `false`

#### outlineColor : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 202

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 213

Gets or sets the numeric Property specifying the width of the outline.

Note: This property will be ignored on all major browsers on Windows platforms. For details, see (@link https://github.com/CesiumGS/cesium/issues/40}.

Default Value: `1.0`

#### positions : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 114

Gets or sets a Property specifying the array of `Cartesian3` positions that define the centerline of the corridor.

#### shadows : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 222

Get or sets the enum Property specifying whether the corridor casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### show : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 107

Gets or sets the boolean Property specifying the visibility of the corridor.

Default Value: `true`

#### width : Property|undefined
engine/Source/DataSources/CorridorGraphics.js 121

Gets or sets the numeric Property specifying the width of the outline.

#### zIndex : ConstantProperty|undefined
engine/Source/DataSources/CorridorGraphics.js 247

Gets or sets the zIndex Property specifying the ordering of the corridor. Only has an effect if the coridor is static and neither height or exturdedHeight are specified.

Default Value: `0`

### Methods

#### clone(result) → CorridorGraphics
engine/Source/DataSources/CorridorGraphics.js 256

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | CorridorGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
engine/Source/DataSources/CorridorGraphics.js 287

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | CorridorGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.CorridorGraphics.ConstructorOptions
engine/Source/DataSources/CorridorGraphics.js 8

Initialization options for the CorridorGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the corridor.
`positions` | Property | Array.<Cartesian3> | <optional> |  | A Property specifying the array of `Cartesian3` positions that define the centerline of the corridor.
`width` | Property | number | <optional> |  | A numeric Property specifying the distance between the edges of the corridor.
`height` | Property | number | <optional> | 0 | A numeric Property specifying the altitude of the corridor relative to the ellipsoid surface.
`heightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the height is relative to.
`extrudedHeight` | Property | number | <optional> |  | A numeric Property specifying the altitude of the corridor's extruded face relative to the ellipsoid surface.
`extrudedHeightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the extrudedHeight is relative to.
`cornerType` | Property | CornerType | <optional> | CornerType.ROUNDED | A `CornerType` Property specifying the style of the corners.
`granularity` | Property | number | <optional> | Cesium.Math.RADIANS_PER_DEGREE | A numeric Property specifying the distance between each latitude and longitude.
`fill` | Property | boolean | <optional> | true | A boolean Property specifying whether the corridor is filled with the provided material.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to fill the corridor.
`outline` | Property | boolean | <optional> | false | A boolean Property specifying whether the corridor is outlined.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 1.0 | A numeric Property specifying the width of the outline.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the corridor casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this corridor will be displayed.
`classificationType` | Property | ClassificationType | <optional> | ClassificationType.BOTH | An enum Property specifying whether this corridor will classify terrain, 3D Tiles, or both when on the ground.
`zIndex` | ConstantProperty | number | <optional> |  | A Property specifying the zIndex of the corridor, used for ordering. Only has an effect if height and extrudedHeight are undefined, and if the corridor is static.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.